Skip to content

Validate plugin session auth

POST
/api/v1/plugin-system/auth/validate
curl --request POST \
--url https://example.com/api/v1/plugin-system/auth/validate \
--header 'Content-Type: application/json' \
--data '{ "pluginId": "example", "instanceId": "example", "authContext": "example", "auth": { "additionalProperty": "example" } }'

Validates session-style plugin credentials before saving them.

Media typeapplication/json
object
pluginId
required
string
instanceId
string
authContext
string
auth
required
object
key
additional properties
string
Examplegenerated
{
"pluginId": "example",
"instanceId": "example",
"authContext": "example",
"auth": {
"additionalProperty": "example"
}
}

Auth validation result

Media typeapplication/json
object
ok
boolean
authContext
string
Examplegenerated
{
"ok": true,
"authContext": "example"
}

Bad Request

Unauthorized

Internal Server Error